VTK: vtkImageReader2Factory Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Friends | List of all members
vtkImageReader2Factory Class Reference

Superclass of binary file readers. More...

`#include <vtkImageReader2Factory.h>`

Inheritance diagram for vtkImageReader2Factory:
[legend]
Collaboration diagram for vtkImageReader2Factory:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkImageReader2Factory * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkImageReader2Factory * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkImageReader2Factory * | SafeDownCast (vtkObjectBase *o)
static void | RegisterReader (vtkImageReader2 *r)
| registered readers will be queried in CreateImageReader2 to see if they can load a given file. More...
static vtkImageReader2 * | CreateImageReader2 (const char *path)
| open the image file, it is the callers responsibility to call Delete on the returned object. More...
static vtkImageReader2 * | CreateImageReader2FromExtension (const char *extension)
| Create a vtkImageReader2 from a (dotted or not) file extension. More...
static void | GetRegisteredReaders (vtkImageReader2Collection *)
| The caller must allocate the vtkImageReader2Collection and pass in the pointer to this method. More...
static bool | CheckExtensionIsInExtensions (const char *extension, const char *extensions)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkImageReader2Factory ()=default
| ~vtkImageReader2Factory () override=default
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | InitializeReaders ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Friends
class | vtkImageReader2FactoryCleanup

## Additional Inherited Members
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Superclass of binary file readers.

vtkImageReader2Factory: This class is used to create a vtkImageReader2 object given a path name to a file. It calls CanReadFile on all available readers until one of them returns true. The available reader list comes from three places. In the InitializeReaders function of this class, built-in VTK classes are added to the list, users can call RegisterReader, or users can create a vtkObjectFactory that has CreateObject method that returns a new vtkImageReader2 sub class when given the string "vtkImageReaderObject". This way applications can be extended with new readers via a plugin dll or by calling RegisterReader. Of course all of the readers that are part of the vtk release are made automatically available.

See also
  vtkImageReader2

Online Examples:

Tests:
  vtkImageReader2Factory (Tests)

Definition at line 46 of file vtkImageReader2Factory.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkImageReader2Factory::Superclass

Definition at line 50 of file vtkImageReader2Factory.h.

## Constructor & Destructor Documentation

## ◆ vtkImageReader2Factory()

vtkImageReader2Factory::vtkImageReader2Factory | ( |  | ) |
| protecteddefault

## ◆ ~vtkImageReader2Factory()

vtkImageReader2Factory::~vtkImageReader2Factory | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkImageReader2Factory* vtkImageReader2Factory::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkImageReader2Factory::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkImageReader2Factory::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkImageReader2Factory* vtkImageReader2Factory::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkImageReader2Factory::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkImageReader2Factory* vtkImageReader2Factory::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkImageReader2Factory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ RegisterReader()

static void vtkImageReader2Factory::RegisterReader | ( | vtkImageReader2 * | r | ) |
| static

registered readers will be queried in CreateImageReader2 to see if they can load a given file.

## ◆ CreateImageReader2()

static vtkImageReader2* vtkImageReader2Factory::CreateImageReader2 | ( | const char * | path | ) |
| static

open the image file, it is the callers responsibility to call Delete on the returned object.

If no reader is found, nullptr is returned.

## ◆ CreateImageReader2FromExtension()

static vtkImageReader2* vtkImageReader2Factory::CreateImageReader2FromExtension | ( | const char * | extension | ) |
| static

Create a vtkImageReader2 from a (dotted or not) file extension.

If multiple readers support the same extension, only one reader will be returned. It is the callers responsibility to call Delete on the returned object. If no reader is found, nullptr is returned.

## ◆ GetRegisteredReaders()

static void vtkImageReader2Factory::GetRegisteredReaders | ( | vtkImageReader2Collection * |  | ) |
| static

The caller must allocate the vtkImageReader2Collection and pass in the pointer to this method.

## ◆ CheckExtensionIsInExtensions()

static bool vtkImageReader2Factory::CheckExtensionIsInExtensions | ( | const char * | extension,
|  | const char * | extensions
| ) |  |
| static

## ◆ InitializeReaders()

static void vtkImageReader2Factory::InitializeReaders | ( |  | ) |
| staticprotected

## Friends And Related Function Documentation

## ◆ vtkImageReader2FactoryCleanup

friend class vtkImageReader2FactoryCleanup
| friend

Definition at line 100 of file vtkImageReader2Factory.h.

The documentation for this class was generated from the following file:

- IO/Image/vtkImageReader2Factory.h